API Explorer

Scenario 3: Create counterparty and make payment

		|### 1) Create counterparty
		|
		|Action:
		|
		|	POST https://obp-api-sandbox.nmbbank.co.tz/obp/v4.0.0/banks/BANK_ID/accounts/account-id-from-account-creation/VIEW_ID/counterparties
		|
		|Body:
		|
  | {  "name":"CounterpartyName",  "description":"My landlord",  "other_account_routing_scheme":"accountNumber",  "other_account_routing_address":"7987987-2348987-234234",  "other_account_secondary_routing_scheme":"IBAN",  "other_account_secondary_routing_address":"DE89370400440532013000",  "other_bank_routing_scheme":"bankCode",  "other_bank_routing_address":"10",  "other_branch_routing_scheme":"branchNumber",  "other_branch_routing_address":"10010",  "is_beneficiary":true,  "bespoke":[{    "key":"englishName",    "value":"english Name"  }]}			|
		| Headers:
		|
		|	Content-Type:  application/json
		|
		|	DirectLogin: token="your-token"
		|
		|### 2) Make payment by SEPA
		|
		|Action:
		|
		|	POST https://obp-api-sandbox.nmbbank.co.tz/obp/v4.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/VIEW_ID/transaction-request-types/SEPA/transaction-requests
		|
		|Body:
		|
		|	{  "value":{    "currency":"EUR",    "amount":"10"  },  "to":{    "iban":"123"  },  "description":"This is a SEPA Transaction Request",  "charge_policy":"SHARED"}
		|
		| Headers:
		|
		|	Content-Type:  application/json
		|
		|	DirectLogin: token="your-token"
		|
		|
		|### 3) Make payment by COUNTERPARTY
		|
		|Action:
		|
		|	POST https://obp-api-sandbox.nmbbank.co.tz/obp/v4.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/VIEW_ID/transaction-request-types/COUNTERPARTY/transaction-requests
		|
		|Body:
		|
		|	{  "to":{    "counterparty_id":"counterparty-id-from-step-1"  },  "value":{    "currency":"EUR",    "amount":"10"  },  "description":"A description for the transaction to the counterparty",  "charge_policy":"SHARED"}
		|
		| Headers:
		|
		|	Content-Type:  application/json
		|
		|	DirectLogin: token="your-token"
		|
		|